//
//  7_seg.cpp
//  
//
//  Created by Leonard Sandvoss on 01.12.15.
//
//

#include "sevenseg.h"

void sevenseg::attach(int _pin1, int _pin2, int _pin3, int _pin4, int _pin5, int _pin6, int _pin7, int _pin8) {
    this->pin1 = _pin1;
    this->pin2 = _pin2;
    this->pin3 = _pin3;
    this->pin4 = _pin4;
    this->pin5 = _pin5;
    this->pin6 = _pin6;
    this->pin7 = _pin7;
    this->pin8 = _pin8;
    
    pinMode(this->pin1, OUTPUT);
    pinMode(this->pin2, OUTPUT);
    pinMode(this->pin3, OUTPUT);
    pinMode(this->pin4, OUTPUT);
    pinMode(this->pin5, OUTPUT);
    pinMode(this->pin6, OUTPUT);
    pinMode(this->pin7, OUTPUT);
    pinMode(this->pin8, OUTPUT);
}

void sevenseg::write(int val) {
    switch (val) {
        case 0:
            digitalWrite(this->pin1, LOW);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, HIGH);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 1:
            digitalWrite(this->pin1, LOW);
            digitalWrite(this->pin2, LOW);
            digitalWrite(this->pin3, LOW);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, LOW);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 2:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, LOW);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, HIGH);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, LOW);
            digitalWrite(this->pin8, LOW);
            break;
        case 3:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, LOW);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 4:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, LOW);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, LOW);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 5:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, LOW);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 6:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, LOW);
            digitalWrite(this->pin5, HIGH);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, HIGH);
            break;
        case 7:
            digitalWrite(this->pin1, LOW);
            digitalWrite(this->pin2, LOW);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, LOW);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 8:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, HIGH);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, LOW);
            break;
        case 9:
            digitalWrite(this->pin1, HIGH);
            digitalWrite(this->pin2, HIGH);
            digitalWrite(this->pin3, HIGH);
            digitalWrite(this->pin4, HIGH);
            digitalWrite(this->pin5, LOW);
            digitalWrite(this->pin6, HIGH);
            digitalWrite(this->pin7, HIGH);
            digitalWrite(this->pin8, HIGH);
            break;
        default:
            return;
            break;
    }
}